columns:
  article_id:
    type: bigint
    default: "0"
  compte_id:
    type: bigint
    default: "0"
  date_debut:
    type: date
  date_fin:
    type: date
  entree_montant:
    type: numeric
    default: "0"
  entree_montant_ttc:
    type: numeric
    default: "0"
  entree_quantite:
    type: numeric
    default: "0"
  fournisseur_id:
    type: bigint
    default: "0"
  lieu_id:
    type: bigint
    default: "0"
  lpp_id:
    type: bigint
    default: "0"
  oid:
    type: bigint
    default: "nextval('s_stock'::regclass)"
  provider_id:
    type: bigint
    default: "0"
  pump:
    type: numeric
    default: "0"
  pump_ttc:
    type: numeric
    default: "0"
  site_id:
    type: bigint
    default: "0"
  sortie_montant:
    type: numeric
    default: "0"
  sortie_montant_ttc:
    type: numeric
    default: "0"
  sortie_quantite:
    type: numeric
    default: "0"
  stock_quantite_debut:
    type: numeric
    default: "0"
  stock_quantite_fin:
    type: numeric
    default: "0"
  stock_valeur_debut:
    type: numeric
    default: "0"
  stock_valeur_debut_ttc:
    type: numeric
    default: "0"
  stock_valeur_fin:
    type: numeric
    default: "0"
  stock_valeur_fin_ttc:
    type: numeric
    default: "0"
  ucd_id:
    type: bigint
    default: "0"
indexes:
  i_stock_1:
    column: date_fin
    method: btree
  i_stock_2:
    column: compte_id
    method: btree
  i_stock_3:
    column: lieu_id
    method: btree
  i_stock_4:
    column: article_id
    method: btree
  i_stock_5:
    column: provider_id
    method: btree
  i_stock_6:
    column: fournisseur_id
    method: btree